# lightweb4py - A lightweight WSGI framework with Router, CBV, ORM and Logger

This framework allows for rapid development of applications to deal with HTTP requests from a WSGI server. 
It implements:
- request routing to CBV's (Class-Based Views) that can use Jinja2 templating engine, 
- basic ORM (Object-Relational Mapping) functionality with interfaces to JSON and SQLite, and
- Logger functionality with console and CSV file output. 
There's also a demo app aimed to demonstrate the framework's capabilities (demo/ folder).

Detailed framework description is available in its documentation (in Russian language only) (docs/README.md).

Description of the demo app is presented in its documentation (in Russian language only) (demo/docs/README.md).

# lightweb4py - Легкий WSGI-фреймворк с маршрутизацией, CBV, ORM и логгером

Фреймворк позволяет с минимальными затратами разработать приложение для работы с HTTP-запросами от 
WSGI-сервера и реализует:
- функциональность маршрутизации запросов в классы-обработчики CBV (Class-Based Views), 
использующие шаблонизатор Jinja2, 
- механизм ORM (Object-Relational Mapping, объектно-реляционное отображение данных) с интерфейсом к JSON и SQLite, 
а также
- логгер с отображением логов на консоль и сохранением их в текстовый файл CSV. 
Также реализовано демонстрационное приложение для демонстрации возможностей фреймворка (папка demo/).

Детальное описание фреймфорка приведено в его документации (docs/README.md).

Описание демонстрационного приложения приведено в его документации (demo/docs/README.md).